Bug 2084637 - pkgconf for rb_libtorrent contains bogus "-l-pthread" which breaks linking
Summary: pkgconf for rb_libtorrent contains bogus "-l-pthread" which breaks linking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rb_libtorrent
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-12 14:52 UTC by Richard W.M. Jones
Modified: 2022-05-21 01:30 UTC (History)
3 users (show)

Fixed In Version: rb_libtorrent-2.0.6-3.fc37 rb_libtorrent-2.0.6-3.fc36 rb_libtorrent-2.0.6-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-12 16:56:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard W.M. Jones 2022-05-12 14:52:27 UTC
Description of problem:

When linking the nbdkit-torrent-plugin against latest libtorrent:

/usr/bin/ld: cannot find -l-pthread: No such file or directory

This happens because the pkgconf for this package has a bogus libs entry:

$ pkgconf libtorrent-rasterbar --libs
-ltorrent-rasterbar -l-pthread -lssl -lcrypto 

This is a regression over the previous package.

Version-Release number of selected component (if applicable):

rb_libtorrent-2.0.6-2.fc37.x86_64

How reproducible:

100%

Steps to Reproduce:
1. See above.

Comment 1 Fedora Update System 2022-05-12 16:52:58 UTC
FEDORA-2022-98b889760f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-98b889760f

Comment 2 Fedora Update System 2022-05-12 16:56:37 UTC
FEDORA-2022-98b889760f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2022-05-12 17:35:54 UTC
FEDORA-2022-dc6ef896a7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-dc6ef896a7

Comment 4 Fedora Update System 2022-05-12 17:35:55 UTC
FEDORA-2022-c226148645 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c226148645

Comment 5 Fedora Update System 2022-05-12 20:30:43 UTC
FEDORA-2022-c226148645 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-c226148645`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c226148645

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-05-13 02:11:00 UTC
FEDORA-2022-dc6ef896a7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-dc6ef896a7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-dc6ef896a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-20 01:25:44 UTC
FEDORA-2022-c226148645 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-05-21 01:30:29 UTC
FEDORA-2022-dc6ef896a7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.